@use "../bootstrap";

.nav-toggle {
  display: none;

  @include bootstrap.respond-to-small-screen {
    display: block;
    order: 1;
    padding: 1.2rem 0;
    width: 1.8rem;
    height: 3.6rem;
    position: relative;

    &__inner,
    &::before,
    &::after {
      width: 100%;
      height: 0.2rem;
      position: absolute;
      background-color: var(--color-dark);
    }

    &::before,
    &::after {
      content: "";
      transition: transform 0.2s ease-in, top 0.15s ease;
    }

    &::before {
      top: 1.2rem;
    }

    &__inner {
      top: 1.7rem;
      transition: opacity 0.15s ease;
    }

    &::after {
      top: 2.2rem;
    }

    &--active {
      &::before {
        top: 1.7rem;
        transform: rotate(225deg);
      }

      & .nav-toggle__inner {
        opacity: 0;
      }

      &::after {
        top: 1.7rem;
        transform: rotate(135deg);
      }
    }
  }

  // At this width height of nav is two lines of font-size=1.3rem with line-height=1.5.
  // So we need to increase paddings in order to stay the same height with nav.
  @include bootstrap.respond-to-nav-breaking-screen {
    padding: 1.35rem 0;
    height: 3.9rem;
  }
}
